클러스터 업그레이드 시작

Service Fabric 클러스터의 코드 또는 구성 버전 업그레이드를 시작합니다.

제공된 업그레이드 매개 변수의 유효성을 검사하고 매개 변수가 유효한 경우 Service Fabric 클러스터의 코드 또는 구성 버전 업그레이드를 시작합니다.

요청

메서드 요청 URI
POST /$/Upgrade?api-version=6.0&timeout={timeout}

매개 변수

이름 유형 필수 Location
api-version 문자열 쿼리
timeout integer(int64) 쿼리
StartClusterUpgradeDescription StartClusterUpgradeDescription yes 본문

api-version

형식: 문자열
필수: 예
기본:

API 버전입니다. 이 매개 변수는 필수이며 해당 값은 '6.0'이어야 합니다.

Service Fabric REST API 버전은 API가 도입되었거나 변경된 런타임 버전을 기반으로 합니다. Service Fabric 런타임은 둘 이상의 API 버전을 지원합니다. 지원되는 최신 버전의 API입니다. 더 낮은 API 버전이 전달되면 반환된 응답이 이 사양에 설명된 응답과 다를 수 있습니다.

또한 런타임은 현재 버전의 런타임까지 지원되는 최신 버전보다 높은 버전을 허용합니다. 따라서 최신 API 버전이 6.0이지만 런타임이 6.1인 경우 클라이언트를 더 쉽게 작성하기 위해 런타임은 해당 API에 대해 버전 6.1을 수락합니다. 그러나 API의 동작은 문서화된 6.0 버전에 따라 다릅니다.


timeout

형식: 정수(int64)
필수: 아니요
기본:
InclusiveMaximum: 4294967295
InclusiveMinimum: 1

작업을 수행하기 위한 서버 제한 시간(초)입니다. 이 시간 제한은 요청된 작업이 완료될 때까지 클라이언트가 기다릴 시간을 지정합니다. 이 매개 변수의 기본값은 60초입니다.


StartClusterUpgradeDescription

형식: StartClusterUpgradeDescription
필수: 예

클러스터 업그레이드를 시작하기 위한 매개 변수를 설명합니다.

응답

HTTP 상태 코드 설명 응답 스키마
202(수락됨) 성공적인 응답은 클러스터 코드 또는 구성 업그레이드가 시작되었음을 의미합니다. GetUpgradeProgress 작업을 사용하여 업그레이드 상태를 가져옵니다.
기타 모든 상태 코드 자세한 오류 응답입니다.
FabricError